%define DATE	20001010
%define format	html-hu
%define format2	HTML/hu

Summary:	Hungarian HOWTO documents (html format) from the Linux Documentation Project
Name:		howto-%{format}
Version: 8.1
Release: 2mdk
Group:		Books/Howtos
Source0:	howto-%{format}.tar.bz2
Source1:    howto-%{format} 
Source2:  howto.xpm.bz2
Source3:  lhowto.xpm.bz2
Source4:  mhowto.xpm.bz2  
Url:		http://www.kde.hu/mlp/hogyanok/
License:	GPL
BuildRoot:	%{_tmppath}/%{name}-root
BuildArchitectures: noarch

BuildRequires:  howto-utils
Requires: howto-utils
Requires:   locales-hu, webclient, mandrake_desk > 1.0.3-7mdk

%description
Linux HOWTOs are detailed documents which describe a specific aspect of 
configuring or using Linux.  Linux HOWTOs are a great source of
practical information about your system.  The latest versions of these
documents are located at http://www.linuxdoc.org/docs.html#howto

%prep 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_docdir}/HOWTO/%{format2}
cd $RPM_BUILD_ROOT%{_docdir}/HOWTO/%{format2}
bzcat %{SOURCE0} | tar xv

install -m 755 -d $RPM_BUILD_ROOT%{_menudir}
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_menudir} 

install -m 755 -d $RPM_BUILD_ROOT%{_miconsdir}
bzcat %SOURCE4 > $RPM_BUILD_ROOT%{_miconsdir}/howto.xpm
install -m 755 -d $RPM_BUILD_ROOT%{_iconsdir}
bzcat %SOURCE2 > $RPM_BUILD_ROOT%{_iconsdir}/howto.xpm
install -m 755 -d $RPM_BUILD_ROOT%{_liconsdir}
bzcat %SOURCE3 > $RPM_BUILD_ROOT%{_liconsdir}/howto.xpm

(cd $RPM_BUILD_ROOT%{_docdir}/HOWTO/%{format2}; makehowtoindex Hungarian)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_docdir}/HOWTO/%{format2}/
%{_docdir}/HOWTO/%{format2}/mini
%{_menudir}/*
%{_iconsdir}/*.xpm
%{_liconsdir}/*.xpm
%{_miconsdir}/*.xpm

%post
%{update_menus}

%postun
%{clean_menus}

%changelog
* Fri Sep 07 2001 Etienne FAURE <etienne@mandrakesoft.com> 8.1-2mdk
- Modified menu entry so that it works with KDE and gnome

* Thu Aug 30 2001 Etienne FAURE <etienne@mandrakesoft.com> 8.1-1mdk
- Automatically updated

* Tue Mar 13 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 8.0-1mdk
- bump release number
- fix tmppath
- build with new howto-utils ... and use it
- add language name

* Fri Mar  2 2001 Etienne Faure  <etienne@mandrakesoft.com> 7.1-4mdk
- rebuild with new howto-utils

* Sat Jan 13 2001 Etienne Faure  <etienne@mandrakesoft.com> 7.1-3mdk
- modified menu entry

* Fri Dec 15 2000 Etienne Faure  <etienne@mandraksoft.com> 7.1-2mdk
- added icons

* Thu Nov 09 2000 Lenny Cartier <lenny@mandrakesoft.com> 7.1-1mdk
- used srpm from Andras TIMAR <timar@linux-mandrake.com> :
	- first Mandrake RPM
